# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.88"
name = "sivtr"
version = "0.1.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
default-run = "sivtr"
description = "Terminal output workspace for the AI era - capture, sift, browse, search, select, and reuse terminal output and AI coding sessions"
readme = "README.md"
keywords = [
    "terminal",
    "cli",
    "tui",
    "codex",
    "ai",
]
categories = [
    "command-line-utilities",
    "development-tools",
]
license = "MIT"
repository = "https://github.com/Ariestar/sivtr"

[[bin]]
name = "sivtr"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.arboard]
version = "3"

[dependencies.atty]
version = "0.2"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.crossterm]
version = "0.28"

[dependencies.dirs]
version = "5"

[dependencies.ratatui]
version = "0.29"

[dependencies.regex]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.similar]
version = "3"

[dependencies.sivtr-core]
version = "0.1.2"

[dependencies.tokio]
version = "1"
features = ["full"]

[target."cfg(windows)".dependencies.winapi]
version = "0.3"
features = [
    "fileapi",
    "handleapi",
    "processenv",
    "processthreadsapi",
    "winbase",
    "winnt",
    "winuser",
    "windef",
    "minwindef",
]
